org.apache.ignite.internal.cache.query.index.sorted.client

## Class ClientIndexFactory

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.client.ClientIndexFactory

All Implemented Interfaces:
  IndexFactory

    public class ClientIndexFactory
    extends Object
    implements IndexFactory

Factory for client index.

### Constructor Summary

Constructors
Constructor and Description
`ClientIndexFactory(IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Index` `createIndex(GridCacheContext<?,?> cctx, IndexDefinition definition)` Creates index by specified definition for specified cache.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientIndexFactory

    public ClientIndexFactory(IgniteLogger log)

### Method Detail

#### createIndex

    public Index createIndex(GridCacheContext<?,?> cctx,
                             IndexDefinition definition)

Creates index by specified definition for specified cache.

Specified by:
  `createIndex` in interface `IndexFactory`
Parameters:
  `cctx` - Cache context.
  `definition` - Index definition.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022